Status: Open

Priority: Normal
Category: Data Provider/SpatiaLite

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 22330

Description

Please allow users to set the name of the primary key individually in the 'New SpatiaLite Layer' dialogue (Crtl+Shift+A).

History

#1 - 2016-06-19 02:03 AM - R. R.

- File new_geopackage_layer.png added

- File new_spatialite_layer.png added

Maybe 'New SpatiaLite Layer' and 'New GeoPackage Layer' should share the same dialog. 'New GeoPackage Layer' allows to set the name of the primary

key/feature id individually.

#2 - 2016-06-19 03:06 AM - Jukka Rahkonen

The "Create autoincrementing primary key" exists there probably because of the word "autoincrementing". SQLite has always a primary key in the system

"ROWID". Creating a synonym for ROWID as "COLUMN INTEGER PRIMARY KEY AUTOINCREMENT" makes fids stable so that that the rowids of

deleted rows will not be reused.

Would you like to have two selections:

- prevent reuse of rowids of deleted features (autoincrement)

- select the name to be used as synonym for ROWID?

#3 - 2016-06-19 04:18 AM - R. R.

Primary keys for new SpatiaLite layers are always named 'pkuid'. The 'New SpatiaLite Layer'  dialog misses a text field to set the name (e.g. 'gid', 'fid').

#4 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

Files

new_spatialite_layer.png 54.8 KB 2016-06-19 R. R.

new_geopackage_layer.png 54 KB 2016-06-19 R. R.

2025-12-15 1/1


